<?php 

namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\ShowblogModel;
use App\Models\ShowblogadminModel;
use App\Models\ShowuseradminModel;

class Blogadmin extends Controller
{        
    private $model;
    private $modelAdmin;
    private $modelUser;
    private $session;

    public function __construct()
    {
        $this->session = \Config\Services::session();
        
        $this->model = new ShowblogModel();

        $this->modelAdmin = new ShowblogadminModel();

        $this->modelUser = new ShowuseradminModel();
    }
    
    public function index()
    {
        if($this->session->user_root == 'yes')
        {
            $Body['title'] = 'Blog';

            echo view('blog/head', $Body);

            $pager = \Config\Services::pager();

            $Body['blogs'] = $this->model->SelectOrder()->paginate(5);
            $Body['pager'] = $this->model->pager;

            echo view('blog/blog', $Body);

            echo view('blog/foot');
        }
        else
        {
            //echo 'Nie jesteś administratorem';
            return redirect()->to('/blogadmin/login');
        }
    }

    public function login()
    {
        helper('form');

        $Body['title'] = 'Zaloguj się na konto administratora';

        //$config = config('App');
        //$PasswordKey = $config->PasswordSpecialKey;

        //$Body['passwordWord'] = password_hash('god'.$PasswordKey, PASSWORD_DEFAULT);

        echo view('blog/head', $Body);

        if($this->request->getPost('user_email') == "")
        {
            $Body['value_email'] = '';
        }
        else
        {
            $Body['value_email'] = $this->request->getPost('user_email');
        }

        if($this->request->getPost('formsend') == 'yes')
        {
            $validator =  \Config\Services::validation();

            $ValidationRules = [
                'user_email' =>
                    [
                        'rules' => 'required|valid_email',
                        'label' => 'Adres e-mail'
                    ],
                'user_password' =>
                    [
                        'rules' => 'required',
                        'label' => 'Hasło'
                    ]
            ];

            if($this->validate($ValidationRules))
            {
                //redirect()->to('/blogadmin');
                $request = \Config\Services::request();

                $ResultFromDB = $this->modelAdmin->CheckIsEmailExists($request->getPost('user_email'));

                $UserExists = false;

                if(isset($ResultFromDB))
                {
                    foreach ($ResultFromDB->getResult() as $row)
                    {
                        //echo $row->id
                        $UserExists = true;
                    }
                }
                else
                {
                    $UserExists = false;
                }

                if($UserExists == true)
                {

                }
                else
                {
                    $Body['ErrorNoUser'] = 'Brak użytkownika o takim adresie e-mail.';
                }
            }
            else
            {
                $Body['errors'] = $validator->getErrors();
            }
        }

        echo view('blog/login', $Body);

        echo view('blog/foot');
    }
}

?>