<?php 

namespace App\Controllers;

use CodeIgniter\Controller;

class Registeruser extends BaseController
{        
    public function showform()
    {
        helper('form');
        
        $Body['ShowForm'] = 'yes';
        
        $Body['title'] = 'Formularz rejestracji';
        
        if($this->request->getPost('user_email') == "")
        {
            $Body['value_email'] = '';
        }
        else
        {
            $Body['value_email'] = $this->request->getPost('user_email');
        }
        
        if($this->request->getPost('formsend') == 'yes')
        {
            $validator =  \Config\Services::validation();
            
            $ValidationRules = [
            'user_email' =>
                            [
                            'rules' => 'required|valid_email',
                            'label' => 'Adres e-mail'
                            ],
            'user_password' => 
                            [
                            'rules' => 'required|min_length[10]|checkischar',
                            'label' => 'Hasło',
                            'errors' =>
                                        [
                                        'checkischar' => 'Hasło powinno zawierać chociaż jeden znak wykrzyknika!'
                                        ]
                            ],
            'user_password2' => 
                            [
                            'rules' => 'required|min_length[10]|matches[user_password]|checkischar',
                            'label' => 'Powtórz hasło'
                            'errors' =>
                                        [
                                        'checkischar' => 'Hasło powinno zawierać chociaż jeden znak wykrzyknika!'
                                        ]
                            ],
                            
            ];
            
            if($this->validate($ValidationRules))
            {
                $Body['ShowForm'] = 'no';
            }
            else
            {
                $Body['errors'] = $validator->getErrors();
            }
        }
        
        echo view('registeruserform/page',$Body);
    }
}

?>